Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::G::RWLock Class Reference

A run-time GStaticRWlock C++ wrapper interface. More...

`#include <xfc/glib/mutex.hh>`

Inheritance diagram for Xfc::G::RWLock:

List of all members.

## Public Member Functions

Constructors

- RWLock ()
    Constructs and initializes a new RWLock.
- ~RWLock ()
    Destructor; Frees the lock.

## Detailed Description

A run-time GStaticRWlock C++ wrapper interface.

RWLock works like a StaticRWLock, but it can be constructed and initialized at run-time. The RWLock constructor calls StaticRWLock::init() to initialize itself.

The documentation for this class was generated from the following file:

- mutex.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3